Skip to content

organization_member_set-role

Changes an organization member's role (owner only)

Tool

organization_member_set-role

Changes an organization member's role (owner only)

Changes an organization member's role (owner only)

Behavior

HTTP
PATCH /governance/api/v1/organizations/:organizationId/members/:userId/role

Arguments

Name
Type
Required
Description
role
string
•
No description in the catalog.
userId
string
•
No description in the catalog.
organizationId
string
•
No description in the catalog.

Response

Field
Type
Always
Description
role
string
•
userId
string
•

Try it

Changes an organization member's role (owner only).

When to use

Changes an organization member's role (owner only)

Example

Ask your agent something like this:

Changes an organization member's role (owner only).

The agent will invoke organization_member_set-role with these arguments:

{
  "role": "<role>",
  "userId": "<userId>",
  "organizationId": "<organizationId>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select